Subject: bug#43534: qemu-minimal-5.1.0 fails to build during test phase on aarch64

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 26 Sep 2020 20:31:04 -0400

Hi Stefan,

Stefan <[email-masked]> writes:

> Hi Maxim!
>
>> Is this reproducible on your side?
>
> Retrying my previous command it found a substitute this time.

[...]

> By the way, I also tried this command:
>
> guix build --rounds=2 qemu-minimal --no-substitutes

Possibly, or it could be a non-deterministic failure.

> But (probably because I got a substitute) it did not compile anything – I’m a bit clueless how to compile it again.

The following command:

--8<---------------cut here---------------start------------->8---
$ guix build --no-grafts --check qemu-minimal
--8<---------------cut here---------------end--------------->8---

Should do it.

Thanks!

Maxim